Page MenuHomePhabricator

Allow adding images as P18 using the upload image button
Closed, DeclinedPublic

Description

I don't know exactly how the plan is for mobile file uploading but on my local MediaWiki instance , an "upload image" icon appears on all item page. If that feature is meant to exist on production as well, it should support adding images as P18 values on that item. Currently I'm possible to upload images using this feature on my MediaWiki installation but then an error appears when MobileFrontend tries to add the image to the item.

Event Timeline

Bene created this task.Apr 13 2015, 10:33 AM
Bene raised the priority of this task from to Low.
Bene updated the task description. (Show Details)
Bene removed a project: Tracking-Neverending.
Bene set Security to None.
Bene added subscribers: Bene, thiemowmde, adrianheine and 6 others.

The Upload feature isn't enabled on wmf-wikis (including wikidatawiki, see T64598: Filter for New User uploads in Mobile Web and the change to disable it). I think, that Wikibase isn't an extension, that is widely used outside the wmf wiki-world, so i suggest to close this bug as long, as we revisit the upload feature (as far as i know, there aren't any plans for now?).

Btw: To reproduce the current situation on your local environment, you can set
$wgGroupPermissions['autoconfirmed']['mf-uploadbutton'] = false;
and
$wgGroupPermissions['sysop']['mf-uploadbutton'] = false;

in your LocalSettings.php, add
$wgMFUploadMinEdits = 1000 // upload feature will be disabled as long, as you have no more than 1000 edits

or
$wgMFPageActions = array( 'edit', 'talk', 'watch' );

:)

This seems out of scope now, given there is an editing team. The upload image button functionality is currently disabled on Wikimedia servers and likely to be removed from MobileFrontend all together.

Given the selfie apocalypse caused by this feature (lots of people used it but lots of people uploaded copy violations / pictures of themselves I really think this is a bad idea. It would be better to explore this in desktop interface or on Wikidata mobile first.

JanZerebecki moved this task from incoming to monitoring on the Wikidata board.May 16 2015, 8:02 PM

Perhaps the defaults for that feature should be changed to off?

Jdlrobson closed this task as Declined.Jun 22 2015, 5:49 PM
Jdlrobson claimed this task.

We no longer have an upload feature in mobile web and have no plans to support this in our current road map.